| Face Engine SDK 5.31.2 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IMedicalMaskEstimator Struct Referenceabstract
Estimators

MedicalMask estimator interface. More...

`#include <IMedicalMaskEstimator.h>`

Inheritance diagram for fsdk::IMedicalMaskEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &warp, MedicalMaskEstimation &estimation) const noexcept=0
| Estimate MedicalMask probabilities. More...
virtual Result< FSDKError > | estimate (const Image &warp, MedicalMaskEstimationExtended &estimation) const noexcept=0
| Estimate MedicalMask probabilities. More...
virtual Result< FSDKError > | estimate (const Image &image, const Detection &detection, MedicalMaskEstimation &estimation) const noexcept=0
| Estimate MedicalMask probabilities. More...
virtual Result< FSDKError > | estimate (const Image &image, const Detection &detection, MedicalMaskEstimationExtended &estimation) const noexcept=0
| Estimate MedicalMask probabilities. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< MedicalMaskEstimation > estimations) const noexcept=0
| Estimate Medical Mask probabilities. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< MedicalMaskEstimationExtended > estimations) const noexcept=0
| Estimate Medical Mask probabilities. More...
virtual Result< FSDKError > | estimate (Span< const Image > images, Span< const Detection > detections, Span< MedicalMaskEstimation > estimations) const noexcept=0
| Estimate Medical Mask probabilities. More...
virtual Result< FSDKError > | estimate (Span< const Image > images, Span< const Detection > detections, Span< MedicalMaskEstimationExtended > estimations) const noexcept=0
| Estimate Medical Mask probabilities. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
virtual Result< FSDKError > | validate (Span< const Image > images, Span< const Detection > detections, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

MedicalMask estimator interface.

Note
  Estimator predicts mask.

## Member Function Documentation

## ◆ estimate() [1/8]

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | const Image & | warp,
|  | MedicalMaskEstimation & | estimation
| ) |  | const
| pure virtual noexcept

Estimate MedicalMask probabilities.

Parameters

  [in] | warp | image with warped face.
  [out] | estimation | estimation results.

Returns
  Result with error code.

See also
  MedicalMaskEstimation, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

## ◆ estimate() [2/8]

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | const Image & | warp,
|  | MedicalMaskEstimationExtended & | estimation
| ) |  | const
| pure virtual noexcept

Estimate MedicalMask probabilities.

Parameters

  [in] | warp | image with warped face.
  [out] | estimation | estimation results.

Returns
  Result with error code.

See also
  MedicalMaskEstimationExtended, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

## ◆ estimate() [3/8]

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | const Image & | image,
|  | const Detection & | detection,
|  | MedicalMaskEstimation & | estimation
| ) |  | const
| pure virtual noexcept

Estimate MedicalMask probabilities.

Parameters

  [in] | image | source image.
  [in] | detection | detection coordinates in image space.
  [out] | estimation | estimation results.

Returns
  Result with error code.

See also
  MedicalMaskEstimation, Detection, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

## ◆ estimate() [4/8]

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | const Image & | image,
|  | const Detection & | detection,
|  | MedicalMaskEstimationExtended & | estimation
| ) |  | const
| pure virtual noexcept

Estimate MedicalMask probabilities.

Parameters

  [in] | image | source image.
  [in] | detection | detection coordinates in image space.
  [out] | estimation | estimation results.

Returns
  Result with error code.

See also
  MedicalMaskEstimationExtended, Detection, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

## ◆ estimate() [5/8]

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< MedicalMaskEstimation > | estimations
| ) |  | const
| pure virtual noexcept

Estimate Medical Mask probabilities.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | estimations | span of estimations.

Returns
  Result with error code.

See also
  Span, MedicalMaskEstimation, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ estimate() [6/8]

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< MedicalMaskEstimationExtended > | estimations
| ) |  | const
| pure virtual noexcept

Estimate Medical Mask probabilities.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | estimations | span of estimations.

Returns
  Result with error code.

See also
  Span, MedicalMaskEstimationExtended, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ estimate() [7/8]

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< MedicalMaskEstimation > | estimations
| ) |  | const
| pure virtual noexcept

Estimate Medical Mask probabilities.

Parameters

  [in] | images | span of source images.
  [in] | detections | span of detection coordinates in corresponding source images space.
  [out] | estimations | span of estimations.

Returns
  Result with error code.

See also
  Span, Detection, MedicalMaskEstimation, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ estimate() [8/8]

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::estimate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< MedicalMaskEstimationExtended > | estimations
| ) |  | const
| pure virtual noexcept

Estimate Medical Mask probabilities.

Parameters

  [in] | images | span of source images;
  [in] | detections | span of detection coordinates in corresponding source images space.
  [out] | estimations | span of estimations;

Returns
  Result with error code.

See also
  Span, Detection, MedicalMaskEstimationExtended, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate() [1/2]

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::validate | ( | Span< const Image > | warps,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate() [2/2]

virtual Result<FSDKError> fsdk::IMedicalMaskEstimator::validate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | span of source images.
  [in] | detections | span of detection coordinates in corresponding source images space.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Detection, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IMedicalMaskEstimator.h